%define module	Crypt-DES
%define name	perl-%{module}
%define version 2.05
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl DES encryption module
Source0:	http://search.cpan.org/CPAN/authors/id/D/DP/DPARIS/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRequires:  perl-Crypt-CBC
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The module implements the Crypt::CBC interface.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYRIGHT
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/man3/*

%changelog
* Tue Aug 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/15/06 01:28:19 (56120)
- rebuild

* Tue Aug 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/15/06 01:26:45 (56119)
Import perl-Crypt-DES

* Fri Dec 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.05-1mdk
- New release 2.05
- %%mkrel
- spec cleanup
- better summary and description
- better URL
- fix sources URL

* Fri Nov 19 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.03-9mdk
- Rebuild for new perl

* Thu Feb 12 2004 Michael Scherer <misc@mandrake.org> 2.03-8mdk
- do not own standard dir
- enable test
 

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.03-7mdk
- rebuild against new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- ues %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.03-6mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.03-5mdk
- rebuild

* Fri Jan 24 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.03-4mdk
- rebuilt

* Mon Aug 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.03-3mdk
- rebuilt against new perl

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.03-2mdk
- 2.03

* Fri Mar 08 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.03-1mdk
- First MandrakeSoft Package

